Package org.apache.sling.servlets.resolver.internal.bundle

# Class BundledScriptServlet

java.lang.Object
javax.servlet.GenericServlet
org.apache.sling.servlets.resolver.internal.bundle.BundledScriptServlet

All Implemented Interfaces:
  `Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`

public class BundledScriptServlet extends javax.servlet.GenericServlet

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`BundledScriptServlet(@NotNull Set<org.apache.sling.scripting.spi.bundle.TypeProvider> wiredTypeProviders, @NotNull org.apache.sling.scripting.spi.bundle.BundledRenderUnit executable)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull org.apache.sling.scripting.spi.bundle.BundledRenderUnit`
`getBundledRenderUnit()`
`InputStream`
`getInputStream()`
`String`
`getServletInfo()`
`void`
`service(javax.servlet.ServletRequest req, javax.servlet.ServletResponse res)`
`String`
`toString()`

### Methods inherited from class javax.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletName, init, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BundledScriptServlet

public BundledScriptServlet(@NotNull @NotNull Set<org.apache.sling.scripting.spi.bundle.TypeProvider> wiredTypeProviders, @NotNull @NotNull org.apache.sling.scripting.spi.bundle.BundledRenderUnit executable)

## Method Details

### getServletInfo

public String getServletInfo()

Specified by:
  `getServletInfo` in interface `javax.servlet.Servlet`
Overrides:
  `getServletInfo` in class `javax.servlet.GenericServlet`

### service

public void service(javax.servlet.ServletRequest req, javax.servlet.ServletResponse res) throws javax.servlet.ServletException, IOException

Specified by:
  `service` in interface `javax.servlet.Servlet`
Specified by:
  `service` in class `javax.servlet.GenericServlet`
Throws:
  `javax.servlet.ServletException`
  `IOException`

### getBundledRenderUnit

@NotNull public @NotNull org.apache.sling.scripting.spi.bundle.BundledRenderUnit getBundledRenderUnit()

### getInputStream

public InputStream getInputStream()

### toString

public String toString()

Overrides:
  `toString` in class `Object`